%define anolis_release 2

Name: gmp
Version: 6.3.0
Release: %{anolis_release}%{?dist}
Epoch: 1
URL: https://gmplib.org
Source0: https://gmplib.org/download/gmp/gmp-%{version}.tar.xz
License: LGPLv3+ or GPLv2+
BuildRequires: gcc gcc-c++ make
Summary: A GNU multiple precision arithmetic library

# Sw64 Port
Patch1001: Sw64-Port-gmp.patch

%description
GMP is a portable library written in C for arbitrary precision arithmetic
on integers, rational numbers, and floating-point numbers. It aims to provide
the fastest possible arithmetic for all applications that need higher
precision than is directly supported by the basic C types.

%package devel
Summary: Development library package for GMP.
Requires: %{name} = %{EVR}
Requires: %{name}-c++ = %{EVR}

%description devel
Devel package include header files, documentation and libraries for GMP

%package static
Summary: Development tools for the GNU MP arbitrary precision library
Requires: %{name}-devel = %{EVR}

%description static
The static libraries for using the GNU MP arbitrary precision library
in applications.

%package c++
Summary: C++ development library package for GMP.
Requires: %{name} = %{EVR}

%description c++
GMP dependent library for C++ applications.

%package doc
Summary: Doc files for GMP.
Requires: %{name} = %{EVR}
BuildArch: noarch

%description doc
Doc files for GMP.

%prep
%autosetup -p1

%build
if as --help | grep -q execstack; then
  export CCAS="gcc -c -Wa,--noexecstack"
fi

%configure --enable-cxx --enable-shared --enable-static
%make_build

%install
%make_install

%generate_compatibility_deps

%check
%make_build check

%files
%dir %{abidir}
%license COPYING COPYING.LESSERv3 COPYINGv2 COPYINGv3
%{_libdir}/libgmp.so.*
%{abidir}/libgmp.dump

%files devel
%{_libdir}/libgmpxx.so
%{_libdir}/libgmp.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_infodir}/gmp.info*

%files static
%{_libdir}/libgmpxx.a
%{_libdir}/libgmp.a

%files c++
%{_libdir}/libgmpxx.so.*
%{abidir}/libgmpxx.dump

%files doc
%doc NEWS README

%changelog
* Sun Apr 27 2025 swcompiler <lc@wxiat.com> - 6.3.0-2
- Sw64 Port gmp

* Mon Jul 31 2023 Funda Wang <fundawang@yeah.net> - 6.3.0-1
- New version 6.3.0

* Sun Mar 19 2023 Shawn Wang <shawnwang@linux.alibaba.com> - 6.2.1-3
- Add abi infos

* Sun Oct 09 2022 Funda Wang <fundawang@yeah.net> - 6.2.1-2
- Rework package layout for compatiblity with a8
- Add patch for CVE-2021-43618

* Thu Mar 10 2022 liuzhilin <liuzhilin@uniontech.com> - 6.2.1-1
- Init for Anolis OS 23

